//Source file: AccessDeniedException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * The client is not currently authenticated with the framework
 *
 */
public class AccessDeniedException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public AccessDeniedException() {
        super(); 
    }

    public AccessDeniedException(String message) {
        super(message); 
    }

    public AccessDeniedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public AccessDeniedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // AccessDeniedException

