//Source file: FrameworkException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * Framework abstract exception
 *
 */
public class FrameworkException extends java.lang.Exception {

    private Throwable _cause = null;

    public FrameworkException() {
        super(); 
    }

    public FrameworkException(String message) {
        super(message); 
    }

    public FrameworkException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public FrameworkException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // FrameworkException

