//Source file: IllegalServiceTypeException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * Illegal Service Type
 *
 */
public class IllegalServiceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public IllegalServiceTypeException() {
        super(); 
    }

    public IllegalServiceTypeException(String message) {
        super(message); 
    }

    public IllegalServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public IllegalServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // IllegalServiceTypeException

