//Source file: InvalidAdditionToSagException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * A client application cannot be added to the SAG because this would imply that the client application has two concurrent service profiles at a particular moment in time for a particular service.
 *
 */
public class InvalidAdditionToSagException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public InvalidAdditionToSagException() {
        super(); 
    }

    public InvalidAdditionToSagException(String message) {
        super(message); 
    }

    public InvalidAdditionToSagException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAdditionToSagException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAdditionToSagException

