//Source file: NoAcceptableEncryptionCapabilityException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * No encryption mechanism, which is acceptable to the framework, is supported by the client 
 *
 */
public class NoAcceptableEncryptionCapabilityException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public NoAcceptableEncryptionCapabilityException() {
        super(); 
    }

    public NoAcceptableEncryptionCapabilityException(String message) {
        super(message); 
    }

    public NoAcceptableEncryptionCapabilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableEncryptionCapabilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableEncryptionCapabilityException

