//Source file: ServiceTypeUnavailableException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * The service type is not available according to the Framework.
 *
 */
public class ServiceTypeUnavailableException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public ServiceTypeUnavailableException() {
        super(); 
    }

    public ServiceTypeUnavailableException(String message) {
        super(message); 
    }

    public ServiceTypeUnavailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceTypeUnavailableException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceTypeUnavailableException

