//Source file: UnknownServiceTypeException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * Unknown Service Type
 *
 */
public class UnknownServiceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public UnknownServiceTypeException() {
        super(); 
    }

    public UnknownServiceTypeException(String message) {
        super(message); 
    }

    public UnknownServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownServiceTypeException

