//Source file: InvalidActivityTestIdException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * ID does not correspond to a valid activity test request
 *
 */
public class InvalidActivityTestIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidActivityTestIdException() {
        super(); 
    }

    public InvalidActivityTestIdException(String message) {
        super(message); 
    }

    public InvalidActivityTestIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidActivityTestIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidActivityTestIdException

