//Source file: InvalidPropertyException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * The framework does not recognise the property supplied by the client
 *
 */
public class InvalidPropertyException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidPropertyException() {
        super(); 
    }

    public InvalidPropertyException(String message) {
        super(message); 
    }

    public InvalidPropertyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidPropertyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidPropertyException

