//Source file: InvalidSagToServiceProfileAssignmentException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * A SAG cannot be assigned to the service profile because this would imply that a client application has two concurrent service profiles at a particular moment in time for a particular service.
 *
 */
public class InvalidSagToServiceProfileAssignmentException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public InvalidSagToServiceProfileAssignmentException() {
        super(); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message) {
        super(message); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSagToServiceProfileAssignmentException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSagToServiceProfileAssignmentException

