//Source file: InvalidServiceContractIdException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * Invalid Service Contract ID
 *
 */
public class InvalidServiceContractIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceContractIdException() {
        super(); 
    }

    public InvalidServiceContractIdException(String message) {
        super(message); 
    }

    public InvalidServiceContractIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceContractIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceContractIdException

