//Source file: InvalidServiceTokenException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * The service token has not been issued, or it has expired.
 *
 */
public class InvalidServiceTokenException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceTokenException() {
        super(); 
    }

    public InvalidServiceTokenException(String message) {
        super(message); 
    }

    public InvalidServiceTokenException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceTokenException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceTokenException

