//Source file: NoAcceptableAuthenticationMechanismException.java
//Date: December 2006
//Framework Data Types for 2nd draft ES 204 915-03 V1.1.1, DES/TISPAN-01032-03-OSA, Parlay 6.0

package org.csapi.jr.se.fw;

/**
 * No authentication mechanism, which is acceptable to the framework, is supported by the client 
 *
 */
public class NoAcceptableAuthenticationMechanismException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public NoAcceptableAuthenticationMechanismException() {
        super(); 
    }

    public NoAcceptableAuthenticationMechanismException(String message) {
        super(message); 
    }

    public NoAcceptableAuthenticationMechanismException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableAuthenticationMechanismException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableAuthenticationMechanismException

